> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/cards/get-user-requests-list.md).

# Get User Requests List

Retrieves a paginated list of operation requests (ISSUE, TOPUP, WITHDRAWAL, BLOCK) by user account.

**Endpoint:** `GET /requests`

**Query Parameters:**

<table><thead><tr><th width="125.5555419921875">Parameter</th><th width="115.7777099609375">Type</th><th width="115.8887939453125">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>limit</code></td><td>Number</td><td>Yes</td><td>Maximum number of records to return (max 100)</td></tr><tr><td><code>offset</code></td><td>Number</td><td>Yes</td><td>Number of records to skip for pagination (0-based)</td></tr></tbody></table>

**Response:**

```json
{
  "count": 6,
  "requests": [
    {
      "status": "EXECUTED",
      "san": "222-333-44-55",
      "type": "BLOCK",
      "docid": 36282228,
      "request_id": "block-101-00465",
      "created": "2025-07-03T09:21:55.605Z"
    },
    {
      "status": "EXECUTED",
      "san": "222-333-44-56",
      "type": "WITHDRAWAL",
      "docid": 36282762,
      "request_id": "withdraw0000009",
      "created": "2025-07-03T09:20:55.605Z"
    },
    {
      "status": "EXECUTED",
      "san": "222-333-44-9999",
      "type": "WITHDRAWAL",
      "docid": 32822740,
      "request_id": "withdraw0000008",
      "created": "2025-07-03T09:19:55.605Z"
    },
    {
      "status": "EXECUTED",
      "san": "222-333-44-56657",
      "type": "TOPUP",
      "docid": 362782718,
      "request_id": "topup-100-06-493",
      "created": "2025-07-03T09:18:55.605Z"
    },
    {
      "status": "EXECUTED",
      "san": "222-333-44-55",
      "type": "ISSUE",
      "docid": 362888674,
      "request_id": "issue-100-001-00",
      "created": "2025-07-03T09:15:55.605Z"
    }
  ]
}
```

**Response Parameters:**

<table><thead><tr><th width="216.77783203125">Field</th><th width="155">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>count</code></td><td>Number</td><td>Total number of matching records (for pagination)</td></tr><tr><td><code>requests</code></td><td>Array</td><td>Array of response objects</td></tr><tr><td><code>requests[].created</code></td><td>String (ISO 8601)</td><td>Request created timestamp in UTC</td></tr><tr><td><code>requests[].type</code></td><td>String</td><td>Operation type(see Operation Values below)</td></tr><tr><td><code>requests[].san</code></td><td>String</td><td>Secure Account Number (card identifier)</td></tr><tr><td><code>requests[].status</code></td><td>String</td><td>Current status of the operation (see Status Values below)</td></tr><tr><td><code>requests[].docid</code></td><td>Number</td><td>Document ID for tracking the operation</td></tr><tr><td><code>requests[].request_id</code></td><td>String</td><td>The request ID provided in the original request</td></tr></tbody></table>

**Operation Types:**

* `ISSUE` - Card issuance
* `TOPUP` - Card top-up
* `WITHDRAWAL` - Card withdrawal
* `BLOCK` - Card blocking

**Status Values:**

* `INPROCESS` - Operation is currently being processed
* `EXECUTED` - Operation completed successfully
* `DECLINED` - Operation was declined
